@include('includes.admin.header')
@include('includes.admin.sidebar')     <!-- Content Wrapper. Contains page content -->
<script>
    $(document).ready(function(){
        $('#banners-menu').addClass('active');
    });
</script>
<link rel="stylesheet" href="/datepicker/dist/css/default/zebra_datepicker.min.css">
<script src="/datepicker/dist/zebra_datepicker.min.js"></script>
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Add Banners
            <small>From Banners</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Banners</a></li>
            <li class="active">Create Banners</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">Add New Banner</h3>
                </div><!-- /.box-header -->
               <form class="form-horizontal" method="post">
                  <div class="box-body">
                   <div class="form-group">
                        <label for="main" class="col-sm-2 control-label">URL</label>
                        <div class="col-sm-9">
                            {{Form::text('data[url]','',['class' => 'form-control', 'id' => 'url'])}}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="main" class="col-sm-2 control-label">User</label>
                        <div class="col-sm-9">
                            {{Form::select('data[user_id]',$users,'',['class' => 'form-control', 'id' => 'user_id'])}}
                        </div>
                    </div>
                      
                      
                      
                    <div class="form-group">
                        <label for="main" class="col-sm-2 control-label">Banner</label>
                        <div class="col-sm-9">
                            <input type="file" class="form-control" name="banner" id="banner">


                        </div>
                    </div>
                      
                      
                      <div class="form-group">
                            <label for="main" class="col-sm-2 control-label">Expiry Date</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control datepicker col-xs-12" id="expiry_date" name="expiry_date" />
                            </div>
                        </div>
                  
		
                  </div><!-- /.box-body -->
                  <div class="box-footer">
                    <button type="reset" class="btn btn-default">Cancel</button>
                    <button type="button" class="btn btn-info pull-right" id="btn-upload">Submit</button>
                  </div><!-- /.box-footer -->
                </form>
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
    <script>
        $('.datepicker').Zebra_DatePicker({
                    format : 'd M Y'
                });
        $(document).ready(function(){
            $('#btn-upload').click(function(){
                $('#btn-upload').html('Uploading Banner....').attr('disabled', 'disabled');
                $('#banner-group').hide();
                $('#loading').show();
                $('.error-box').hide().html('');
                var data = new FormData();
                var banner = $("#banner").get(0).files[0];
                data.append("banner", banner);
                data.append("user_id", $('#user_id').val());
                data.append("url", $('#url').val());
                data.append("expiry_date", $('#expiry_date').val());
                $.ajax({
                    url:'/admin/banners/save',
                    data:data,
                  //  _token: "{{ csrf_token() }}",
                    headers: {
                        'X-CSRF-Token': '{{ csrf_token() }}'
                     },
                    dataType:'json',
                    async:false,
                    type:'post',
                    processData: false,
                    contentType: false,
                    success:function(response){
                        alert("Banner Uploaded Successfully");
                        location.reload();
                    },
                    error: function (xhr) {
                        var res = xhr.responseJSON;
                        var html = '';
                        $(res).each(function(i, value){
                            html+= '<p>' + value + '</p>';
                        });
                        alert(html);
                        $('#btn-upload').html('Submit').removeAttr('disabled');
                    }
                  });

            });
        });
    </script>
    @include('includes.admin.footer')