@include('includes.admin.header')
@include('includes.admin.sidebar')
<script src="https://cdn.datatables.net/plug-ins/1.10.16/sorting/date-dd-MMM-yyyy.js"></script>
<script>
    $(document).ready(function(){
        $('#user-menu').addClass('active');
    });
</script>
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           User List
            <small>From users</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Users</a></li>
            <li class="active">All users</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">All Users</h3>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                  <table class="table table-bordered table-striped table-datatable">
                      <thead>
                    <tr>
                      <th>#</th>
                      <th>Name</th>
                      <th>Email</th>
                      <th>Phone</th>
                      
                      <th>
                          Address
                      </th>
                      <th>
                          DOB
                      </th>
                      <th>
                          City
                      </th>
                      
                      <th>
                          Country
                      </th>
                      <th>
                          Notification
                      </th>
                      <th>
                          No. of Votes
                      </th>
                      
                      
                      
                      
                      
                      <th>
                          Created On
                      </th>
                      <th>Actions</th>
                    </tr>
                      </thead>
                      <tbody>
                          <?php
                          $count = 1;
                          ?>
                    @if($users->count() > 0)
                            @foreach($users AS $user)
                            <tr>
                                <td>{{$count++}}</td>
                                <td>{{$user['name']}}</td>
                                <td>{{$user['email']}}</td>
                                <td>{{$user['phone']}}</td>
                                <td>{{$user['address']}}</td>
                                <td>{{date("d M Y", strtotime($user['dob']))}}</td>
                                <td>{{$user['city']}}</td>
                                <td>{{$user['country']}}</td>
                                <td>
                                    @if ($user['notification'] == 1)
                                        Yes
                                    @else
                                        No
                                    @endif
                                </td>
                                <td>{{$user['votes_count']}}</td>
                                <td>{{date("d M Y H:i:s", strtotime($user['created_at']))}}</td>
                                <td>
                                    <a href="/admin/user/payments/{{$user['UUID']}}" class="btn btn-xs btn-primary"><i class="glyphicon glyphicon-euro"></i></a>&nbsp;&nbsp; 
                                     <a href="/admin/user/edit/{{$user['UUID']}}" class="btn btn-xs btn-success"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;&nbsp; 
                                     <button class=" btn btn-xs btn-danger btn-remove" data-name="{{$user['name']}}" data-id="{{$user['UUID']}}"><i class="glyphicon glyphicon-remove"></i></button>&nbsp;&nbsp; 
               <!--                      <a href="#" class="btn btn-success">Active</a>-->
                                </td>
                            </tr>
                            @endforeach
                            @endif
                      </tbody>
                      <tfoot>
                          <tr>
                              <td colspan="12">
                                  {{ $users->links() }}
                                   <div class="pull-right" id="page_no">
                                         Page : 
                                                <?php if(isset($_GET['page']))
                                                {
                                                  echo   $_GET['page'];
                                                }
                                                else
                                                {
                                                    echo 1;
                                                }
                                                ?>
                                            </div>
                              </td>
                          </tr>
                      </tfoot>
                  </table>
                </div><!-- /.box-body -->
<!--                <div class="box-footer clearfix">
                  <ul class="pagination pagination-sm no-margin pull-right">
                    <li><a href="#">&laquo;</a></li>
                    <li><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">&raquo;</a></li>
                  </ul>
                </div>-->
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
      
      <script>
          $(".table-datatable").DataTable(
                    {
                        dom: 'Bfrtip',
                        buttons: [

                            'excelHtml5',
                            'csvHtml5',
                            'pdfHtml5',
                           'print'
                        ],
                        "bPaginate": false,
                        paging: false,
                        searching: false,
                       
                    });
            $(document).on('click', '.btn-remove', function(){
                 
                var id = $(this).attr('data-id');
                var name = $(this).attr('data-name');
                var conf = confirm("Are you sure you want to delete " + name);
                var parent = $(this).parents('tr').first();
                var current = $(this);
                if(conf)
                {
                    $.ajax({
                        url: '/admin/user/delete/' + id,
                        type: 'DELETE',
                        data:{"_token": "{{ csrf_token() }}"},
                        success: function(result) {
                            alert('User deleted Successfully');
                            $(parent).remove();
                        },
                        error: function(xhr, textStatus, errorThrown){
                            alert('Something went wrong. Please check whether you had associated this user to something');
                         }
                    },'json')
                    
                }
              
            });
          </script>
@include('includes.admin.footer')