<?php
require_once 'database.php';
class voteExpiry extends database
{
    public function getAllExpiringVoteUsers()
    {
	    $sql = " SELECT SUM(p.no_of_votes) AS total_votes,p.user_id, u.name, u.email FROM paypal p INNER JOIN users u ON u.UUID=p.user_id WHERE expiry_date BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 5 DAY) GROUP BY p.user_id ";	
	    
	    return $this->callQuery($sql);
    }
}

$obj = new voteExpiry();
$users = $obj->getAllExpiringVoteUsers();


require_once 'PHPMailer/PHPMailerAutoload.php';


foreach($users AS $user)
{
            $mail = new PHPMailer;

            $mail->isSMTP();                                      // Set mailer to use SMTP
             //   $mail->SMTPDebug = 4;      
            $mail->Host = 'mail.realclubmanager.com';  // Specify main and backup SMTP servers
            $mail->SMTPAuth = true;                               // Enable SMTP authentication
            $mail->Username = 'notification@realclubmanager.com';            
            $mail->Password = 'o+Nndz$%bPuJ';                           // SMTP password
            $mail->SMTPSecure = 'tls';                            // Enable TLS encryption, `ssl` also accepted
            $mail->Port = 587;
            
            $mail->SMTPOptions = array(
                'ssl' => array(
                    'verify_peer' => false,
                    'verify_peer_name' => false,
                    'allow_self_signed' => true
                )
            );
            
            $mail->setFrom('notification@realclubmanager.com', 'Real Club Manager');

            $mail->addAddress($user['email'], $user['name']);
            $mail->Subject = 'Votes Expiration';
            $mail->Body    = "<h2 style='text-align:center;'>Real Club Manager</h2><p>Hello ".$user['name'].", </p><p> " . $user['total_votes'] . " are going to expire in next 5 days. Please visit the site to extent the votes. </p>";
            $mail->AltBody = 'This is the body in plain text for non-HTML mail clients';
            $mailsend=$mail->send();
           
            if(!$mailsend)
            {
              http_response_code(500);
                echo json_encode($mail->ErrorInfo);
              
            }
             http_response_code(200);
                echo json_encode('Email sent to ' . $user['email'] . ' Successful');
              
}