@include('includes.admin.header')
@include('includes.admin.sidebar')  
      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Add Decisions
            <small>From Decisions</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Decisions</a></li>
            <li class="active">Create Decisions</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">Add New Decision</h3>
                </div><!-- /.box-header -->
               <form class="form-horizontal" id='register-form'>
                   <div class="error" style="display: none">
                            
                        </div>
                  <div class="box-body">
                   
                    <div class="form-group">
                      <label for="main" class="col-sm-2 control-label">Decisions</label>
                      <div class="col-sm-9">
                          <textarea class="form-control" id="main" name="decision"></textarea>
                      </div>
                    </div>
                  
		
                  </div><!-- /.box-body -->
                  <div class="box-footer">
                    <button type="reset" class="btn btn-default">Cancel</button>
                    <button type="button" class="btn btn-info pull-right" id='btn-submit'>Submit</button>
                  </div><!-- /.box-footer -->
                </form>
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
      <script>
            $(document).ready(function(){
                $('#btn-submit').click(function(){
                    var current  = $(this);
                    current.attr('disabled', 'disabled').text('Please Wait. Saving.....');
                    var data = $("#register-form").serializeArray();
                    $.post('/admin/decision/save',{data:data, "_token": "{{ csrf_token() }}"}, function(res, status){
                        
                        alert('Decision Added Successfully');
                        window.location.href = '#body';
                        window.location.href = '/admin/decision';
                    },'json')
                    .fail(function(xhr) {
                        var html = '';
                        var res = xhr.responseJSON;
                        $(res).each(function(i, value){
                                html+= '<p>' + value + '</p>';
                        });
                        $('.error').html(html).show();
                        $('#btn-submit').html('Submit').removeAttr('disabled');
                        window.location.href = '#body';
                    },'json');;
                });
            });
        </script>
      @include('includes.admin.footer')